javax.batch.operations

## Class BatchRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JobExecutionAlreadyCompleteException, JobExecutionIsRunningException, JobExecutionNotMostRecentException, JobExecutionNotRunningException, JobRestartException, JobSecurityException, JobStartException, NoSuchJobException, NoSuchJobExecutionException, NoSuchJobInstanceException

    public class BatchRuntimeException
    extends RuntimeException

This is the common base class for all of the RuntimeException(s) thrown by the `JobOperator` API methods to its callers.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchRuntimeException()`
`BatchRuntimeException(String message)`
`BatchRuntimeException(String message, Throwable cause)`
`BatchRuntimeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchRuntimeException

    public BatchRuntimeException()

#### BatchRuntimeException

    public BatchRuntimeException(String message)

#### BatchRuntimeException

    public BatchRuntimeException(Throwable cause)

#### BatchRuntimeException

    public BatchRuntimeException(String message,
                         Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0